Skip to main content

General

General endpoints for workspace operations


Health check

Workspaces API

Version: 1.0

Checks if the service is healthy and able to respond to requests

Parameters

fullboolean
check_dependenciesboolean
strictboolean

Returns

200

Successful Response

undefinedunknown

Endpoint

GET
/workspace/health_check

Request

curl -X GET 'https://{service_host}/workspace/health_check' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

No response body.


List coordinate systems

Workspaces API

Version: 1.0

Returns a list of coordinate systems for an organization.

Parameters

authorizationstring
Required

org_iduuid
Required

Returns

200

Successful Response

linksLinks

circular(CoordinateSystemCategory)

titlestring
well_known_idstring
titlestring

Endpoint

GET
/workspace/orgs/{org_id}/coordinate_systems

Request

curl -X GET 'https://{service_host}/workspace/orgs/{org_id}/coordinate_systems' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"links": {
"additionalProp1": "https://example.com",
"additionalProp2": "https://example.com",
"additionalProp3": "https://example.com"
},
"results": [
{
"items": [
null,
{
"title": "string",
"well_known_id": "string"
}
],
"title": "string"
}
]
}

Was this page helpful?